Cantera 2.6.0

Classes | Namespaces
WaterPropsIAPWS.h File Reference

Headers for a class for calculating the equation of state of water from the IAPWS 1995 Formulation based on the steam tables thermodynamic basis (See class WaterPropsIAPWS). More...

`#include "WaterPropsIAPWSphi.h"`
Include dependency graph for WaterPropsIAPWS.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | WaterPropsIAPWS
| Class for calculating the equation of state of water. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
Names for the phase regions
These constants are defined and used in the interface to describe the location of where we are in (T,rho) space. WATER_UNSTABLELIQUID indicates that we are in the unstable region, inside the spinodal curve where dpdrho < 0.0 amongst other properties. The difference between WATER_UNSTABLELIQUID and WATER_UNSTABLEGAS is that for WATER_UNSTABLELIQUID d2pdrho2 > 0 and dpdrho < 0.0 for WATER_UNSTABLEGAS d2pdrho2 < 0 and dpdrho < 0.0
#define | WATER_GAS 0
#define | WATER_LIQUID 1
#define | WATER_SUPERCRIT 2
#define | WATER_UNSTABLELIQUID 3
#define | WATER_UNSTABLEGAS 4

## Detailed Description

Headers for a class for calculating the equation of state of water from the IAPWS 1995 Formulation based on the steam tables thermodynamic basis (See class WaterPropsIAPWS).

Definition in file WaterPropsIAPWS.h.

## Macro Definition Documentation

## ◆ WATER_GAS

#define WATER_GAS 0

Definition at line 31 of file WaterPropsIAPWS.h.

## ◆ WATER_LIQUID

#define WATER_LIQUID 1

Definition at line 32 of file WaterPropsIAPWS.h.

## ◆ WATER_SUPERCRIT

#define WATER_SUPERCRIT 2

Definition at line 33 of file WaterPropsIAPWS.h.

## ◆ WATER_UNSTABLELIQUID

#define WATER_UNSTABLELIQUID 3

Definition at line 34 of file WaterPropsIAPWS.h.

## ◆ WATER_UNSTABLEGAS

#define WATER_UNSTABLEGAS 4

Definition at line 35 of file WaterPropsIAPWS.h.